meanwhile: mwConferenceHandler Struct Reference

# mwConferenceHandler Struct Reference

`#include <mw_srvc_conf.h>`

## Detailed Description

Handler structure used to provide callbacks for an instance of the conferencing service.

## Data Fields
void(* | clear )(struct mwServiceConference *srvc)
| optional.
void(* | conf_closed )(struct mwConference *, guint32 reason)
| triggered when a conference is closed.
void(* | conf_opened )(struct mwConference *conf, GList *members)
| triggered when we enter the conference.
void(* | on_invited )(struct mwConference *conf, struct mwLoginInfo *inviter, const char *invite)
| triggered when we receive a conference invitation.
void(* | on_peer_joined )(struct mwConference *, struct mwLoginInfo *)
| triggered when someone joins the conference
void(* | on_peer_parted )(struct mwConference *, struct mwLoginInfo *)
| triggered when someone leaves the conference
void(* | on_text )(struct mwConference *conf, struct mwLoginInfo *who, const char *what)
| triggered when someone says something
void(* | on_typing )(struct mwConference *conf, struct mwLoginInfo *who, gboolean typing)
| typing notification

## Field Documentation

void(* mwConferenceHandler::clear)(struct mwServiceConference *srvc)

optional.

called from mwService_free

void(* mwConferenceHandler::conf_closed)(struct mwConference *, guint32 reason)

triggered when a conference is closed.

This is typically when we've left it

void(* mwConferenceHandler::conf_opened)(struct mwConference *conf, GList *members)

triggered when we enter the conference.

Provides the initial conference membership list as a GList of mwLoginInfo structures

Parameters:

  | conf | the conference just joined
  | members | mwLoginInfo list of existing conference members

void(* mwConferenceHandler::on_invited)(struct mwConference *conf, struct mwLoginInfo *inviter, const char *invite)

triggered when we receive a conference invitation.

Call mwConference_accept to accept the invitation and join the conference, or mwConference_close to reject the invitation.

Parameters:

  | conf | the newly created conference
  | inviter | the indentity of the user who sent the invitation
  | invite | the invitation text

void(* mwConferenceHandler::on_peer_joined)(struct mwConference *, struct mwLoginInfo *)

triggered when someone joins the conference

void(* mwConferenceHandler::on_peer_parted)(struct mwConference *, struct mwLoginInfo *)

triggered when someone leaves the conference

void(* mwConferenceHandler::on_text)(struct mwConference *conf, struct mwLoginInfo *who, const char *what)

triggered when someone says something

void(* mwConferenceHandler::on_typing)(struct mwConference *conf, struct mwLoginInfo *who, gboolean typing)

typing notification

The documentation for this struct was generated from the following file:

- mw_srvc_conf.h